# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['cerebrum_client']

package_data = \
{'': ['*']}

install_requires = \
['pydantic>=1.10.2,<2.0.0', 'requests>=2.28.1,<3.0.0']

setup_kwargs = {
    'name': 'cerebrum-client',
    'version': '2.1.1',
    'description': 'API client for cerebrum',
    'long_description': "cerebrum-client\n===============\n\ncerebrum-client is a Python library\nfor accessing the [Cerebrum] HTTP [API].\n\n\nUsage\n-----\n\nThe client offers both a programmatic API\nand a command-line interface client.\n\n\n### API\n\n```python\nfrom cerebrum_client import CerebrumClient\n\nc = CerebrumClient('https://example.org/', headers={'x-gravitee-api-key': '<my-key>'})\naccount_data = c.get_account('username')\n```\n\n\n### CLI\n\n```\nusage: python -m cerebrum_client [-h] [-v] [-c <json-file>] <command> …\n\noptional arguments:\n  -h, --help            show this help message and exit\n  -v, --version         show program's version number and exit\n  -c <json-file>, --config <json-file>\n                        read config from <json-file> (default: config.json)\n\ncommands:\n  Lookups supported by this command line client\n\n  <command>\n    get-account         get account info from username\n    GET                 Do any GET-request with any params\n\nExamples:\n    python -m cerebrum_client get-account example\n    python -m cerebrum_client GET /v1/accounts/example\n```\n\nA few more examples:\n\n```bash\n# Fetch account 'example' with 'get-account'\npython -m cerebrum_client get-account example\n```\n\n```bash\n# Fetch account 'example' with 'GET'\npython -m cerebrum_client GET /v1/accounts/example\n```\n\n\n[Cerebrum]: https://www.usit.uio.no/om/tjenestegrupper/cerebrum/\n[API]: https://api-uio.intark.uh-it.no/#!/apis?view=results&q=cerebrum\n",
    'author': 'USIT UiO',
    'author_email': 'bnt-int@usit.uio.no',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
